org.icefaces.ace.component.fileentry

## Class ProgressListenerResourcePusher

- java.lang.Object
- - org.icefaces.ace.component.fileentry.ProgressListenerResourcePusher

- All Implemented Interfaces:
    PushResourceSetup, org.icefaces.apache.commons.fileupload.ProgressListener

      public class ProgressListenerResourcePusher
      extends java.lang.Object
      implements org.icefaces.apache.commons.fileupload.ProgressListener, PushResourceSetup

  When the upload has progress, pushes the progress resource to the browser

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setPushResourcePathAndGroupName(javax.faces.context.FacesContext facesContext, java.lang.String pushResourceName, java.lang.String pushGroupName)`
    `protected boolean` | `tryPush(long percent, boolean force)`
    `void` | `update(long read, long total, int chunkIndex)` Updates the listeners status information.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### update

          public void update(long read,
                             long total,
                             int chunkIndex)

      Description copied from interface: `org.icefaces.apache.commons.fileupload.ProgressListener`
      Updates the listeners status information.
      Specified by:
        `update` in interface `org.icefaces.apache.commons.fileupload.ProgressListener`
      Parameters:
        `read` - The total number of bytes, which have been read so far.
        `total` - The total number of bytes, which are being read. May be -1, if this number is unknown.
        `chunkIndex` - The number of the field, which is currently being read. (0 = no item so far, 1 = first item is being read, ...)

    - #### tryPush

          protected boolean tryPush(long percent,
                                    boolean force)

    - #### setPushResourcePathAndGroupName

          public void setPushResourcePathAndGroupName(javax.faces.context.FacesContext facesContext,
                                                      java.lang.String pushResourceName,
                                                      java.lang.String pushGroupName)

      Specified by:
        `setPushResourcePathAndGroupName` in interface `PushResourceSetup`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.